Bug 1488329 (CVE-2017-14140) - CVE-2017-14140 kernel: Missing permission check in move_pages system call
Summary: CVE-2017-14140 kernel: Missing permission check in move_pages system call
Status: CLOSED ERRATA
Alias: CVE-2017-14140
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170820,reported=2...
Keywords: Security
Depends On: 1499611 1488330 1499610 1499612 1499613 1499614
Blocks: 1488331
TreeView+ depends on / blocked
 
Reported: 2017-09-05 07:45 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
43 users (show)

(edit)
The move_pages system call in mm/migrate.c in the Linux kernel doesn't check the effective uid of the target process. This enables a local attacker to learn the memory layout of a setuid executable allowing mitigation of ASLR.
Clone Of:
(edit)
Last Closed: 2019-06-08 03:24:01 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0676 None None None 2018-04-10 08:05 UTC
Red Hat Product Errata RHSA-2018:1062 None None None 2018-04-10 09:29 UTC

Description Adam Mariš 2017-09-05 07:45:23 UTC
The move_pages system call in mm/migrate.c in the Linux kernel before
4.12.9 doesn't check the effective uid of the target process, enabling
a local attacker to learn the memory layout of a setuid executable
despite ASLR.

Upstream patch:

https://github.com/torvalds/linux/commit/197e7e521384a23b9e585178f3f11c9fa08274b9

Comment 1 Adam Mariš 2017-09-05 07:46:29 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1488330]

Comment 2 Justin M. Forbes 2017-09-05 14:02:39 UTC
This was fixed in 4.12.9 stable which is currently available across all supported Fedora releases.

Comment 4 Wade Mealing 2017-10-09 05:36:40 UTC
Statement:
This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5,6,7 and MRG-2.

Red Hat Enterprise Linux 5 and 6 are in the Production 3 Phase. During the
Production 3 Phase, Critical impact Security Advisories (RHSAs) and
selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as
they become available.

The official life cycle policy can be reviewed here:

https://access.redhat.com/support/policy/updates/errata/


This issue does not meet the inclusion criteria for the Production 3 Phase
and will be marked as CLOSED/WONTFIX. If this remains a critical
requirement, please contact Red Hat Customer Support to request
a re-evaluation of the issue, citing a clear business justification. Note
that a strong business justification will be required for re-evaluation.
Red Hat Customer Support can be contacted via the Red Hat Customer Portal.
  
Future Linux kernel updates for Red Hat Enterprise Linux 7 may address this issue.

Comment 8 errata-xmlrpc 2018-04-10 08:05:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0676 https://access.redhat.com/errata/RHSA-2018:0676

Comment 9 errata-xmlrpc 2018-04-10 09:29:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1062 https://access.redhat.com/errata/RHSA-2018:1062


Note You need to log in before you can comment on or make changes to this bug.